package com.koobietech.eas.mbg.mapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.koobietech.eas.mbg.model.EasSysUniversity;
import com.koobietech.eas.mbg.model.EasSysUniversityExample;
import io.swagger.v3.oas.annotations.media.Schema;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface EasSysUniversityMapper {
    long countByExample(EasSysUniversityExample example);

    int deleteByExample(EasSysUniversityExample example);

    int deleteByPrimaryKey(String universityCode);

    int insert(EasSysUniversity record);

    int insertSelective(EasSysUniversity record);

    List<EasSysUniversity> selectByExample(EasSysUniversityExample example);

    EasSysUniversity selectByPrimaryKey(String universityCode);

    int updateByExampleSelective(@Param("record") EasSysUniversity record, @Param("example") EasSysUniversityExample example);

    int updateByExample(@Param("record") EasSysUniversity record, @Param("example") EasSysUniversityExample example);

    int updateByPrimaryKeySelective(EasSysUniversity record);

    int updateByPrimaryKey(EasSysUniversity record);
}